View Single Post
Old 05-06-04, 02:40 AM   #5
LordMorgul
Electrical Engineer
 
LordMorgul's Avatar
 
Join Date: Dec 2002
Location: San Luis Obispo, CA
Posts: 872
Default Re: GTK2 + NVIDIA Modules ( Please Help )

Kernel 2.4.x should be built with a gcc 3.2.x or earlier compiler only, preferrably with 2.95-3 (this is still the lowest common denominator... therefore the expected to work compiler).

Compiling X, the kernel, or even gtk apps on 3.4 is likely to show some bugs in the compiler... have you tried using a 3.3.x version of gcc yet? I highly recommend you check this. What you describe should not be causing the X server to crash in an otherwise healthy system.

Do you have CONFIG_REGPARM enabled in the kernel?
__________________
"..the triumph of evil is for good men to do nothing." (Edmond Burke)
nVIDIA video driver RPMs for Fedora :: see yum repo at livna.org.
LordMorgul is offline   Reply With Quote